<script>
import LiveFrame from './LiveFrame'
import LiveFrameChild from './LiveFrameChild'
import { codemirror } from 'vue-codemirror'
import 'codemirror/lib/codemirror.css'
// language
import 'codemirror/mode/xml/xml.js'
import 'codemirror/mode/css/css.js'
// theme css
// theme css
import 'codemirror/theme/rubyblue.css'
import 'codemirror/theme/paraiso-light.css'
// require active-line.js
import'codemirror/addon/selection/active-line.js'

export default {
  name: "InkyLivePreview",
  data () {
    return {
      content: '<!--inky html here/!-->',
      style: '/* CSS code here */',
      HtmlOps: {
        tabSize: 3,
        styleActiveLine: true,
        lineNumbers: true,
        autoCloseTags: true,
        line: true,
        connect: 'align',
        mode: 'text/html',
        theme: 'rubyblue'
      },
      CssOps: {
        tabSize: 2,
        styleActiveLine: true,
        lineNumbers: true,
        line: true,
        mode: 'text/css',
        theme: 'paraiso-light'
      }
    }
  },
  components: {
    codemirror,
    LiveFrame,
    LiveFrameChild
  },
  computed: {
    inkedHtml () {
      var Inky = require('inky/lib/inky.js')
      var inky = new Inky()

      return inky.releaseTheKraken(this.content)
    }
  }
}
</script>

<template>
  <flex-row id="live-previeuw">
    <flex-col class="live editor">
      <codemirror v-model="content" :options="HtmlOps"></codemirror>
      <codemirror v-model="style" :options="CssOps"></codemirror>
    </flex-col>
    <flex-col class="live view">
      <live-frame id="preview" class="my-frame" scrolling="auto" :editedStyles="style">
        <live-frame-child v-html="inkedHtml"/>
      </live-frame>
    </flex-col>
  </flex-row>
</template>

<style scoped>

.live{
  width: 50%;
}
.editor {
  text-align: left;
}
.cm-s-cobalt.CodeMirror {
  height: 500px;
}

.my-frame {
  border: 1px dashed #CCC;
  height: 500px;
  width: 97%;
}

</style>
